<template>
  <div>
    <el-tabs type="border-card" v-model="activeName" style="height: 100%">
      <el-tab-pane label="隧道经常检查" name="1" style="height: 100%">
        <tunnel-often v-if="activeName == '1'"></tunnel-often>
      </el-tab-pane>
      <el-tab-pane label="隧道定期检查" name="2" style="height: 100%">
        <tunnel-regular v-if="activeName == '2'"></tunnel-regular>
      </el-tab-pane>
      <el-tab-pane label="隧道经常检查病害记录" name="3" style="height: 100%">
        <disease-often v-if="activeName == '3'"></disease-often>
      </el-tab-pane>
      <el-tab-pane label="隧道定期检查病害记录" name="4" style="height: 100%">
        <disease-regular v-if="activeName == '4'"></disease-regular>
      </el-tab-pane>
      <el-tab-pane label="养护记录" name="5" style="height: 100%">
        <main-records v-if="activeName == '5'"></main-records>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
import tunnelOften from './tunnelOften'
import tunnelRegular from './tunnelRegular'
import diseaseOften from './diseaseOften'
import diseaseRegular from './diseaseRegular'
import mainRecords from '../mainRecords.vue'
export default {
  components: {
    tunnelOften,
    tunnelRegular,
    diseaseOften,
    diseaseRegular,
    mainRecords,
  },
  data() {
    return {
      activeName: '1',
    }
  },
}
</script>

<style lang="scss" scoped>
/deep/.el-tabs--border-card > .el-tabs__content {
  height: calc(100% - 8%) !important;
}
/deep/.el-tabs__item {
  font-size: 12px !important;
}
/deep/.el-tabs--border-card > .el-tabs__header .el-tabs__item {
  //  color: #606266;
}
/deep/.el-tabs--border-card > .el-tabs__header .el-tabs__item.is-active {
  // color: #211bce;
  font-weight: bold;
}
</style>
